---
search:
  tags:
    - Translations
    - PUT
seo:
  description: >-
    Updates multiple translation records in a single… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/translations/bulk endpoint in the Management
    API.
sidebar:
  label: Bulk update translations
  badge: PUT
title: Bulk update translations
type: openapi-operation
---
Updates multiple translation records in a single request with support for automatic redirect creation for slug changes

`PUT /api/v1/{team_slug}/{app_slug}/translations/bulk`

**Request body** (`application/json`, required)

Translation data

Request body example:

```json
[
  {
    "field_type": "name",
    "id": "string",
    "language_code": "string",
    "parent_ref": "string",
    "parent_type": "product",
    "translation": "string"
  }
]
```

**Responses**

- `200` — Translation updates successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
